Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Interface DEREncodable

All Known Implementing Classes:
  ASN1Encodable, CertificationRequest, DERObject, X509KeyUsage, X509Name, PrivateKeyInfo, IssuerAndSerialNumber, MacData, EncryptedData, SignedData, RSAPrivateKeyStructure, RC2CBCParameter, PBES2Parameters, CertBag, DHParameter, CertificationRequestInfo, PKCS12PBEParams, ContentInfo, EncryptedPrivateKeyInfo, SignerInfo, Attribute, SafeBag, AuthenticatedSafe, Pfx, TBSCertificateStructure, RSAPublicKeyStructure, SubjectKeyIdentifier, CertificateList, AuthorityKeyIdentifier, NameConstraints, IssuerSerial, GeneralNames, CertificatePolicies, BasicConstraints, V2Form, AttCertIssuer, DSAParameter, AttributeCertificateInfo, AttributeCertificate, CRLDistPoint, ExtendedKeyUsage, AttCertValidityPeriod, ObjectDigestInfo, Holder, GeneralName, X509Extensions, GeneralSubtree, Time, DigestInfo, TBSCertList, TBSCertList.CRLEntry, SubjectPublicKeyInfo, X509CertificateStructure, X9FieldID, OtherInfo, X9FieldElement, X9Curve, KeySpecificInfo, X962Parameters, X9ECParameters, X9ECPoint, ElGamalParameter, ECPrivateKeyStructure, IDEACBCPar, CAST5CBCParameters, SignerIdentifier, SignedData, EnvelopedData, OriginatorInfo, RecipientIdentifier, ContentInfo, SignerInfo, RecipientKeyIdentifier, OriginatorIdentifierOrKey, EncryptedContentInfo, OtherKeyAttribute, KEKIdentifier, CompressedData, Attribute, KeyTransRecipientInfo, KEKRecipientInfo, OriginatorPublicKey, Time, RecipientInfo, KeyAgreeRecipientInfo, IssuerAndSerialNumber, SMIMECapability, SMIMECapabilities

public interface DEREncodable

Method Summary
`DERObject` | `getDERObject()`

Method Detail

### getDERObject

    public DERObject getDERObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD